package com.dzeio.charts.axis

import com.dzeio.charts.XAxisLabels

class XAxis<T> {

    var max: T? = null
    var min: T? = null

    val labels = XAxisLabels()

    /**
     * Number of entries displayed in the chart at the same time
     */
    var entriesDisplayed = 5

    /**
     * Offset in the list
     */
    var baseOffset = 0

    var onValueFormat: (it: T) -> String = onValueFormat@{
        return@onValueFormat it.toString()
    }
}
